# Bind Elastic IP - BindEIP

## Overview

Bind the unused Elastic IP to the specified resource






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `BindEIP`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. |No|
| **EIPId** | string | Elastic IP's Resource Id |**Yes**|
| **ResourceType** | string | Elastic IP request for binding resource type, enumeration values are: uhost: UHost; ulb, ULB; upm: Physical machine; hadoophost: Big data cluster; fortresshost: Fortress machine; udockhost: Container; udhost: UDSet host; natgw: natgw; udb: UDB; vpngw: ipsec vpn; ucdr: Cloud disaster recovery; dbaudit: Database audit; uni: Virtual network card; cube, Cube container. If the EIP is billed for ordinary bandwidth and the bandwidth value is higher than 2G, it is only allowed to bind to the high-performance UHost and ULB. |**Yes**|
| **ResourceId** | string | Resource ID requested for Elastic IP binding |**Yes**|
| **PrivateIP** | string | When binding EIP with an internal IP, you need to input an internal IP that has not been bound with EIP under UNI. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
{
	"Action": "BindEIP",
	"request_uuid":"XXXXX-XXXXXX",
	"az_group":1111111,
	"EIPId":"eip-XXXXX",
	"ResourceType":"ulb",
	"ResourceId":"ulb-XXXXXX",
        "top_organization_id": 11111111 ,
        "organization_id": 11111111
}
```

### Response Example
    
```json
{
  "Action": "BindEIPResponse",
  "Request_uuid": "1b52baa6-01ea-4cba-a6f9-XXXXXXXX",
  "RetCode": 0
}
```





